> ## Documentation Index
> Fetch the complete documentation index at: https://docs.multchats.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Recusar ligação

> Recusa uma ligação recebida encaminhada para a API que ainda está tocando.



## OpenAPI

````yaml POST /call/reject
openapi: 3.1.0
info:
  title: OpenAPI Multchats
  description: Multchats API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.multchats.com/v2
security:
  - bearerAuth: []
paths:
  /call/reject:
    post:
      tags:
        - Calls
      summary: Recusar ligação
      description: >-
        Recusa uma ligação recebida encaminhada para a API que ainda está
        tocando.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CallRequest'
      responses:
        '200':
          description: Ligação recusada
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CallSuccessResponse'
        '400':
          description: >-
            Erro na requisição. Códigos: `CALL_NOT_FOUND`, `CALL_IN_QUEUE`,
            `CALL_ALREADY_ANSWERED`
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    CallRequest:
      type: object
      required:
        - integrationId
        - callId
      properties:
        integrationId:
          description: ID da integração
          type: string
          pattern: ^c[a-z0-9]{24}$
        callId:
          description: >-
            ID da ligação (`call.callId` do webhook ou da resposta de
            /call/start)
          type: string
          minLength: 1
          maxLength: 128
    CallSuccessResponse:
      type: object
      properties:
        success:
          description: Indica se a operação foi bem-sucedida
          type: boolean
          default: true
    Error:
      required:
        - success
        - message
      type: object
      properties:
        success:
          description: Indica se a operação foi bem-sucedida
          type: boolean
          default: false
        message:
          description: Mensagem de erro (quando success é false)
          type: string
          default: Erro ao enviar mensagem
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.